Name:           plexus-build-api
Version:        0.0.7
Release:        %mkrel 16
Group:          Development/Java
Summary:        Plexus Build API
License:        ASL 2.0
URL:            https://github.com/sonatype/sisu-build-api
BuildArch:      noarch

#Fetched from https://github.com/sonatype/sisu-build-api/tarball/plexus-build-api-0.0.7
Source0:        sonatype-sisu-build-api-plexus-build-api-0.0.7-0-g883ea67.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

# Forwarded upstream: https://github.com/sonatype/sisu-build-api/pull/2
Patch0:         %{name}-migration-to-component-metadata.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.sonatype.spice:spice-parent:pom:)

%description
Plexus Build API

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n sonatype-sisu-build-api-f1f8849
cp -p %{SOURCE1} .

%patch0 -p1

%mvn_file : plexus/%{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt



%changelog
* Wed Feb 24 2016 neoclust <neoclust> 0.0.7-16.mga6
+ Revision: 977773
- First rebuild of the java stack
- sync package plexus-build-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 0.0.7-9.mga5
+ Revision: 810576
- Sync with Fedora 21 (update to 3.18.1)

* Wed Oct 15 2014 umeabot <umeabot> 0.0.7-8.mga5
+ Revision: 745727
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 0.0.7-6.mga4
+ Revision: 560726
- Migration to plexus-containers-container-default

* Fri Oct 18 2013 umeabot <umeabot> 0.0.7-5.mga4
+ Revision: 517541
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.7-4.mga3
+ Revision: 377831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 dmorgan <dmorgan> 0.0.7-3.mga2
+ Revision: 192653
- Sync with fedora spec file

  + gil <gil>
    - replaced plexus-maven-plugin with plexus-component-metadata

* Fri Dec 09 2011 dmorgan <dmorgan> 0.0.7-1.mga2
+ Revision: 179552
- Update to latest upstream version.
- Add spice-parent to Requires

* Wed Jul 20 2011 dmorgan <dmorgan> 0.0.6-6.mga2
+ Revision: 127166
- Build with maven.
    - Fix requires.
    - Guidelines fixes.

* Thu Apr 28 2011 dmorgan <dmorgan> 0.0.6-5.mga1
+ Revision: 93012
- Rebuild after bootstrapping
- imported package plexus-build-api


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 26 2010 Hui Wang <huwnag@redhat.com> 0.0.6-3
- Add missing requires

* Wed May 26 2010 Hui Wang <huwnag@redhat.com> 0.0.6-2
- Change JPP-%%{name}.pom to JPP.plexus-%%{name}.pom

* Wed May 19 2010 Hui Wang <huwang@redhat.com> 0.0.6-1
- Initial version of the package
